@import url("https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Oswald", sans-serif;
}

.body-main {
  height: 100vh;
  background-color: #000;
  background: url("/img/bg.jpg") no-repeat;
  background-size: cover;
  background-position: top center;
}

.body-cen {
  height: 100vh;
  background-color: #000;
  background: url("/img/bg-cen.jpg") no-repeat;
  background-size: cover;
  background-position: top center;
}

/* HEADER */

.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 1.3rem 5%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 100;
}

.header::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0);
  z-index: -1;
}

.logo {
  display: flex;
  height: 80px;
  overflow: hidden;
  align-items: center;
}

.navbar a {
  font-size: 1.75rem;
  color: #fff;
  text-decoration: none;
  font-weight: 200;
  text-transform: uppercase;
  margin-left: 1.0rem;
}

.navbar a:hover {
  color: darkorange;
  transition: 0.5s ease;
}

.navbar a.active {
  color: orange;
}

#check {
  display: none;
}

.icons {
  position: absolute;
  right: 5%;
  font-size: 1.5rem;
  color: #fff;
  cursor: pointer;
  display: none;
}

/* MAIN */

.main {
  display: flex;
  position: absolute;
  top: 122px;
  color: #fff;
  width: 100%;
  height: calc(100vh - 122px);
  align-items: center;
  justify-content: center;
}

.content {
  display: flex;
  flex-direction: column;
  align-items: left;
  width: 50%;
  height: 100%;
  overflow: scroll;
  max-height: calc(100% - 100px); /* Adjust max-height as needed */
  color: white;
  background-color: rgba(0, 0, 0, 0.2);
  animation: opac 0.3s;
}

.content::-webkit-scrollbar {
  display: none;
}

.content h2 {
  letter-spacing: -1px;
  font-size: 3em;
  font-weight: 400;
  animation: opac 1s;
  padding: 16px;
}

.cards {
  height: 100%;
  display: flex;
  flex-direction: column;
}

.card {
  display: flex;
  flex-direction: column;
  padding: 16px;
  animation: opac 1s;
}

.card h3 {
  display: flex;
  align-items: center;
  font-size: 3em;
  font-size: clamp(2.5rem, 3vw, 3rem);
  font-weight: 300;
  text-transform: uppercase;
  gap: 16px;
  animation: opac 1s;
}

.card a,
p {
  font-size: 1.75rem;
  font-style: normal;
  font-weight: 200;
  text-decoration: none;
  color: #fff;
  animation: opac 1s;
}

.icon {
  content: url("/img/instagram.svg");
  display: inline-block;
  vertical-align: middle;
  width: 48px;
  height: 48px;
}

.linkedin {
  content: url("/img/linkedin.svg");
  display: inline-block;
  vertical-align: middle;
  width: 48px;
  height: 48px;
}

i.fa-arrow-right {
  font-size: 16px;
  rotate: -45deg;
  color: orange;
}


/* BREAKPOINTS */

@media screen and (max-width: 1172px) {
  .header {
    padding: 1.3rem 5%;
  }

  .content {
    width: 90%;
    height: 100%;
  }

  .content h2 {
    font-size: 3rem;
    margin: 0px;
    padding: 16px;
  }

  .card {
    margin: 0px;
    padding: 16px;
  }

  .card h3 {
    font-size: 2rem;
    gap: 8px;
  }

  .icon {
    margin-bottom: 3px;
    display: inline-block;
    vertical-align: middle;
    height: 34px;
    width: 34px;
  }

  .linkedin {
    margin-bottom: 3px;
    display: inline-block;
    vertical-align: middle;
    height: 34px;
    width: 34px;
  }
}

@media screen and (max-width: 768px) {
  .icons {
    display: inline-flex;
  }

  #check:checked ~ .icons #menu-icon {
    display: none;
  }

  .icons #close-icon {
    display: none;
  }

  #check:checked ~ .icons #close-icon {
    display: block;
  }

  .header::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(50px);
    z-index: -1;
  }

  .navbar {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 0;
    background-color: rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(50px);
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.5);
    overflow: hidden;
    transition: 0.3s ease;
  }

  #check:checked ~ .navbar {
    height: 20rem;
  }

  .navbar a {
    display: block;
    font-size: 1.5rem;
    margin: 1.5rem 0;
    text-align: center;
    transform: translateY(-50px);
    transition: 0.3s ease;
    opacity: 0;
  }

  #check:checked ~ .navbar a {
    transform: translateY(0);
    transition-delay: calc(0.15s * var(--i));
    opacity: 1;
  }

  .content h2 {
    font-size: 1.5rem;
    margin: 0px;
    padding: 16px;
  }

  .card {
    margin: 0px;
    padding: 16px;
  }

  .card h3 {
    font-size: 1.5rem;
    gap: 8px;
  }

  .card a,
  p {
    font-size: 1.5rem;
  }

  .icon {
    margin-bottom: 3px;
    display: inline-block;
    vertical-align: middle;
    height: 24px;
    width: 24px;
  }

  .linkedin {
    margin-bottom: 3px;
    display: inline-block;
    vertical-align: middle;
    height: 24px;
    width: 24px;
  }
}

@keyframes opac {
  0% {
    opacity: 0%;
  }
  50% {
    opacity: 0%;
  }
  100% {
    opacity: 100%;
  }
}
